scalable = false

default_gui.spbook_button_style = 
{
	type="button_style",
	parent="default",
	font="spbook_font_bold",
	align = "center",
	default_font_color={r=1, g=1, b=1},
	hovered_font_color={r=1, g=1, b=1},
	top_padding = 0,
	right_padding = spacing_right,
	bottom_padding = 0,
	left_padding = spacing_right,
	left_click_sound =
	{
		{
		  filename = "__core__/sound/gui-click.ogg",
		  volume = 1
		}
	},
}

default_gui.spbook_button_small_style = 
{
	type="button_style",
	parent="spbook_button_style",
	font="spbook_font_small",
}

default_gui.spbook_button_xy_style = 
{
	type="button_style",
	parent="spbook_button_style",
	font="spbook_font",
	-- font="spbook_font_small",
	minimal_width = 60,
}

default_gui.spbook_button_name_style = 
{
	type="button_style",
	parent="spbook_button_style",
	font="spbook_font_name",
	align = "left",
	minimal_width = 100,
	--minimal_height = icon_height,
}

--------------------------------------------------------------------------------------

function extract_monolith( filename, xx, yy, w, h)
	return {
		type = "monolith",

		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,

		monolith_image = {
			filename = "__SpaceBook__/graphics/" .. filename .. ".png",
			priority = "extra-high-no-scale",
			width = w,
			height = h,
			x = xx,
			y = yy,
		},
	}
end

--------------------------------------------------------------------------------------

default_gui.spbook_button_top_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = scalable,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = 36,
	height = 36,
	maximal_height = 36,

	default_graphical_set = extract_monolith("spbook-gui-top", 0, 72, 36, 36),
	hovered_graphical_set = extract_monolith("spbook-gui-top", 36, 72, 36, 36),
	clicked_graphical_set = extract_monolith("spbook-gui-top", 72, 72, 36, 36),
}

default_gui.spbook_button_top_shi_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = scalable,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = 36,
	height = 36,
	maximal_height = 36,

	default_graphical_set = extract_monolith("spbook-gui-top", 0, 216, 36, 36),
	hovered_graphical_set = extract_monolith("spbook-gui-top", 36, 216, 36, 36),
	clicked_graphical_set = extract_monolith("spbook-gui-top", 72, 216, 36, 36),
}

default_gui.spbook_button_top_fly_style = 
{
    type = "button_style",
	parent="spbook_button_top_style",
	default_graphical_set = extract_monolith("spbook-gui-top", 0, 108, 36, 36),
	hovered_graphical_set = extract_monolith("spbook-gui-top", 36, 108, 36, 36),
	clicked_graphical_set = extract_monolith("spbook-gui-top", 72, 108, 36, 36),
}

default_gui.spbook_button_top_ava_style = 
{
    type = "button_style",
	parent="spbook_button_top_style",
	default_graphical_set = extract_monolith("spbook-gui-top", 0, 144, 36, 36),
	hovered_graphical_set = extract_monolith("spbook-gui-top", 36, 144, 36, 36),
	clicked_graphical_set = extract_monolith("spbook-gui-top", 72, 144, 36, 36),
}

default_gui.spbook_button_top_tel_style = 
{
    type = "button_style",
	parent="spbook_button_top_style",
	default_graphical_set = extract_monolith("spbook-gui-top", 0, 180, 36, 36),
	hovered_graphical_set = extract_monolith("spbook-gui-top", 36, 180, 36, 36),
	clicked_graphical_set = extract_monolith("spbook-gui-top", 72, 180, 36, 36),
}

--------------------------------------------------------------------------------------

default_gui.spbook_button_empty_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = false,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = icon_width,
	height = icon_height,
	maximal_height = icon_height,

	default_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*8, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*8, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*8, icon_width,icon_height),
}

--------------------------------------------------------------------------------------

default_gui.spbook_button_face_empty_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = scalable,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = icon_width,
	height = icon_height,
	maximal_height = icon_height,

	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, 0, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, 0, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, 0, icon_width,icon_height),
}

default_gui.spbook_button_face_friend_style = 
{
    type = "button_style",
	parent="spbook_button_face_empty_style",
	
	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height, icon_width,icon_height),
}

default_gui.spbook_button_face_enemy_style = 
{
    type = "button_style",
	parent="spbook_button_face_empty_style",
	
	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*2, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*2, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*2, icon_width,icon_height),
}

default_gui.spbook_button_face2_neutral_style = 
{
    type = "button_style",
	parent="spbook_button_face_empty_style",

	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*3, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*3, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*3, icon_width,icon_height),
}

default_gui.spbook_button_face2_friend_style = 
{
    type = "button_style",
	parent="spbook_button_face_empty_style",

	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*4, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*4, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*4, icon_width,icon_height),
}

default_gui.spbook_button_face2_enemy_style = 
{
    type = "button_style",
	parent="spbook_button_face_empty_style",

	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*5, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*5, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*5, icon_width,icon_height),
}

--------------------------------------------------------------------------------------

default_gui.spbook_button_deco_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = scalable,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = icon_width,
	height = icon_height,
	maximal_height = icon_height,

	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*6, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*6, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*6, icon_width,icon_height),
}

default_gui.spbook_button_conn_style = 
{
    type = "button_style",
	parent="spbook_button_deco_style",

	default_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*6, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*6, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*6, icon_width,icon_height),
}

--------------------------------------------------------------------------------------

default_gui.spbook_button_shield_style = 
{
    type = "button_style",
	parent="slot_button_style",

	scalable = scalable,

	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,

	width = icon_width,
	height = icon_height,
	maximal_height = icon_height,

	default_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*8, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*8, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", 0, icon_height*8, icon_width,icon_height),
}

default_gui.spbook_button_noshi_style = 
{
    type = "button_style",
	parent="spbook_button_shield_style",

	default_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*8, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*8, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width, icon_height*8, icon_width,icon_height),
}

default_gui.spbook_button_shideco_style = 
{
    type = "button_style",
	parent="spbook_button_shield_style",

	default_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*8, icon_width,icon_height),
	hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*8, icon_width,icon_height),
	clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*2, icon_height*8, icon_width,icon_height),
}

--------------------------------------------------------------------------------------

local function add_button_info( tag, n )
	default_gui["spbook_button_info_" .. tag .. "_style"] = 
	{
		type = "button_style",
		parent="slot_button_style",

		scalable = scalable,

		top_padding = 0,
		right_padding = 0,
		bottom_padding = 0,
		left_padding = 0,

		width = icon_width,
		height = icon_height,
		maximal_height = icon_height,

		default_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*n, icon_height*9, icon_width, icon_height),
		hovered_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*n, icon_height*9, icon_width, icon_height),
		clicked_graphical_set = extract_monolith("spbook-gui-28x30", icon_width*n, icon_height*9, icon_width, icon_height),
	}
end

add_button_info( "none", 0 )
add_button_info( "error", 1 )
add_button_info( "ok", 2 )
add_button_info( "confirm", 3 )

--------------------------------------------------------------------------------------

-- local function add_button_rights( tag, n )
	-- default_gui["spbook_button_rights_" .. tag .. "_style"] = 
	-- {
		-- type = "button_style",
		-- parent="slot_button_style",

		-- scalable = scalable,

		-- top_padding = 0,
		-- right_padding = 0,
		-- bottom_padding = 0,
		-- left_padding = 0,

		-- width = rights_width,
		-- height = icon_height,
		-- maximal_height = icon_height,

		-- default_graphical_set = extract_monolith("spbook-gui-rights", 0, icon_height*n, rights_width,icon_height),
		-- hovered_graphical_set = extract_monolith("spbook-gui-rights", 0, icon_height*n, rights_width,icon_height),
		-- clicked_graphical_set = extract_monolith("spbook-gui-rights", 0, icon_height*n, rights_width,icon_height),
	-- }
-- end

-- add_button_rights( "banned", 0 )
-- add_button_rights( "guest", 1 )
-- add_button_rights( "engineer", 2 )
-- add_button_rights( "officer", 3 )
-- add_button_rights( "admin", 4 )
-- add_button_rights( "owner", 5 )



